import request from '@/utils/request'

// 查询楼栋信息列表
export function listLdinfo(query) {
  return request({
    url: '/szxc/ldinfo/list',
    method: 'get',
    params: query
  })
}

// 查询楼栋信息详细
export function getLdinfo(id) {
  return request({
    url: '/szxc/ldinfo/' + id,
    method: 'get'
  })
}

// 新增楼栋信息
export function addLdinfo(data) {
  return request({
    url: '/szxc/ldinfo',
    method: 'post',
    data: data
  })
}

// 修改楼栋信息
export function updateLdinfo(data) {
  return request({
    url: '/szxc/ldinfo',
    method: 'put',
    data: data
  })
}

// 删除楼栋信息
export function delLdinfo(id) {
  return request({
    url: '/szxc/ldinfo/' + id,
    method: 'delete'
  })
}
